<s:div xmlns:ui="http://java.sun.com/jsf/facelets"
       xmlns:h="http://java.sun.com/jsf/html"
       xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:f="http://java.sun.com/jsf/core"
       xmlns:g="http://www.ihe.net/gazelle" xmlns:rich="http://richfaces.org/rich" xmlns="http://www.w3.org/1999/xhtml">
    <s:div id="UserIpHistoric">
        <rich:dataTable id="listUserHistoricIpTable" var="currentUser"
                        value="#{statisticManager.getAllUserRequestHistoricDM()}"
                        rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                        render="ds">
            <g:column id="UserHistoricIdColumn" sortBy="#{'id'}">
                <ui:define name="header">#{messages['gazelle.dds.Id']}</ui:define>
                <h:outputText value="#{currentUser.id}"/>
            </g:column>
            <g:column id="UserHistoricIpAddress" sortBy="#{'ipAddress'}" filterBy="#{'ipAddress'}">
                <ui:define name="header">#{messages['gazelle.dds.Ipaddress']}</ui:define>
                <h:outputText value="#{currentUser.ipAddress}"/>
            </g:column>
            <g:column id="UserHistoricLastRequestTime" sortBy="#{'lastRequestTime'}" sortOrder="descending">
                <ui:define name="header">#{messages['gazelle.dds.RequestTime']}</ui:define>
                <g:date value="#{currentUser.lastRequestTime}"/>
            </g:column>
            <g:column id="UserHistoricRequestNumber" sortBy="#{'requestNumber'}">
                <ui:define name="header">#{messages['gazelle.dds.RequestNumber']}</ui:define>
                <h:outputText value="#{statisticManager.getTotalRequestForUserHistoricIp(currentUser)}"/>
            </g:column>
            <g:column id="UserHistoricAcceptedRequestNumber" sortBy="#{'requestNumber'}">
                <ui:define name="header">#{messages['gazelle.dds.AcceptedRequestNumber']}</ui:define>
                <h:outputText value="#{currentUser.requestNumber}"/>
            </g:column>
            <g:column id="UserHistoricFailedRequest"
                      sortBy="#{'failedRequestNumber'}">
                <ui:define name="header">#{messages['gazelle.dds.RefusedRequestNumber']}</ui:define>
                <h:outputText value="#{currentUser.failedRequestNumber}"/>
            </g:column>
            <f:facet name="footer">
                <ui:include src="/util/datatableFooter.xhtml">
                    <ui:param name="dataScrollerId" value="ds"/>
                    <ui:param name="dataTableId" value="listUserHistoricIpTable"/>
                </ui:include>
            </f:facet>
        </rich:dataTable>
    </s:div>
</s:div>
